Bug 575822 - Review Request: bacula2 - Backup client for bacula version 2 server
Review Request: bacula2 - Backup client for bacula version 2 server
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 552263
  Show dependency treegraph
 
Reported: 2010-03-22 09:55 EDT by Jon Ciesla
Modified: 2010-04-21 17:53 EDT (History)
4 users (show)

See Also:
Fixed In Version: bacula2-2.4.4-4.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-21 17:52:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nhorman: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jon Ciesla 2010-03-22 09:55:46 EDT
Bacula is a set of programs that allow you to manage the backup, recovery,
and verification of computer data across a network of different computers.
It is based on a client/server architecture and is efficient and relatively
easy to use, while offering many advanced storage management features that
make it easy to find and recover lost or damaged files.

The bacula2 packages are clients suitable for use with a bacula version
2.x server (director), since later clients are incompatible.


SRPM: http://zanoni.jcomserv.net/fedora/bacula2/bacula2-2.4.4-4.fc12.src.rpm
SPEC: http://zanoni.jcomserv.net/fedora/bacula2/bacula2.spec
Comment 1 Neil Horman 2010-04-07 11:01:59 EDT
rpmlint results
[nhorman@hmsreliant Download]$ rpmlint ./bacula2-2.4.4-4.fc12.src.rpm 
bacula2.src: W: spelling-error Summary(en_US) bacula -> Dracula, backlash, oracular
bacula2.src: W: spelling-error %description -l en_US Bacula -> Dracula, Backlash, Oracular
bacula2.src: W: spelling-error %description -l en_US bacula -> Dracula, backlash, oracular
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Spelling errors are prettly clearly confusion on the part of rpmlint, so waive those.


Naming: check.  follows guidelines

Spec File:
 Legible, american english,  Good.
 Looks like you need tcp_wrappers-devel added as a BuildRequires
 also, it looks like you use the macro %{__initrddir} and I don't see where that  is defined.  Of course it builds fine, so I'm guessing I'm just missing something

 Initscript looks good
 The BuildRoot tag isn't needed anymore, but its ignored and correct if it were to be used, so don't worry about it

 License is ok (GPLv2 with exceptions), and included as %doc

 upstream sources match (4eb6155b45611018af03002d37a2ffde)

Package Builds: check on x86_64

No DSO's in package, so we're good there

No devel package

No static libraries

No double owned directories or files, check.

install does a rm -rf %buildroot, check

spec if utf-8, check

builds in mock, check (after adding tcp_wrappers-devel to Buildrequires)

subpackage client requires fully versioned common package, check


I think if you fix the tcpwrappers issue (and explain the initrddir macro to me), I'll approve this, thanks!
Comment 2 Jon Ciesla 2010-04-07 13:25:05 EDT
There is a BR for /usr/include/tcpd.h on line 34 which covers this.  It's inherited from the main Bacula RPM, which does it this way because the file is in tcp_wrappers on some releases and tcp_wrappers-devel on others.

%{_initrddir} is an internal rpm macro.  Try rpm --eval %{_initrddir} to see for yourself.  On F-12 it gives /etc/rc.d/init.d.
Comment 3 Neil Horman 2010-04-07 13:54:01 EDT
ok, thanks.

For the record, it seems that the right fix for tcpd.h should be to harp on the EPEL and Fedora maintainer to put it in the -devel pacakge consistently, but I think the solution you have is fine, given that changing file locations mid-release (for EPEL at least is real pain in the rear).

ok, ACK to this package, go ahead and request CVS branch creation when you're ready.  Thanks!
Comment 4 Jon Ciesla 2010-04-07 14:41:21 EDT
Thanks!


New Package CVS Request
=======================
Package Name: bacula2
Short Description: Backup client for bacula version 2 server
Owners: limb
Branches: F-13 F-12
InitialCC:
Comment 5 Kevin Fenzi 2010-04-07 22:44:17 EDT
CVS done (by process-cvs-requests.py).
Comment 6 Fedora Update System 2010-04-08 09:53:42 EDT
bacula2-2.4.4-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bacula2-2.4.4-4.fc13
Comment 7 Fedora Update System 2010-04-08 09:53:47 EDT
bacula2-2.4.4-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/bacula2-2.4.4-4.fc12
Comment 8 Fedora Update System 2010-04-09 00:15:30 EDT
bacula2-2.4.4-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/bacula2-2.4.4-4.fc13
Comment 9 Fedora Update System 2010-04-10 06:18:27 EDT
bacula2-2.4.4-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/bacula2-2.4.4-4.fc12
Comment 10 Fedora Update System 2010-04-21 17:52:34 EDT
bacula2-2.4.4-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-04-21 17:53:34 EDT
bacula2-2.4.4-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.